Package org.kapott.hbci.sepa.jaxb.pain_001_002_03

# Class PaymentIdentificationSEPA

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_002_03.PaymentIdentificationSEPA

public class PaymentIdentificationSEPA extends Object

Java class for PaymentIdentificationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentIdentificationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InstrId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}RestrictedIdentificationSEPA1" minOccurs="0"/>
             <element name="EndToEndId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.002.03}RestrictedIdentificationSEPA1"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`endToEndId`
`protected String`
`instrId`

## Constructor Summary

Constructors
Constructor
Description
`PaymentIdentificationSEPA()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEndToEndId()`
Gets the value of the endToEndId property.
`String`
`getInstrId()`
Gets the value of the instrId property.
`void`
`setEndToEndId(String value)`
Sets the value of the endToEndId property.
`void`
`setInstrId(String value)`
Sets the value of the instrId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### instrId

protected String instrId

### endToEndId

protected String endToEndId

## Constructor Details

### PaymentIdentificationSEPA

public PaymentIdentificationSEPA()

## Method Details

### getInstrId

public String getInstrId()
Gets the value of the instrId property.

Returns:
  possible object is `String`

### setInstrId

public void setInstrId(String value)
Sets the value of the instrId property.

Parameters:
  `value` - allowed object is `String`

### getEndToEndId

public String getEndToEndId()
Gets the value of the endToEndId property.

Returns:
  possible object is `String`

### setEndToEndId

public void setEndToEndId(String value)
Sets the value of the endToEndId property.

Parameters:
  `value` - allowed object is `String`